{
  "log": {
    "loglevel": "warning",
    "access": "/var/log/xray/access.log",
    "error": "/var/log/xray/error.log"
  },
  "inbounds": [
    {
      "protocol": "socks",
      "tag": "proxy-tcp-seoul",
      "port": 29999,
      "listen": "0.0.0.0",
      "settings": {
        "auth": "noauth",
        "udp": true,
        "userLevel": 0
      }
    },
    {
      "tag": "in-vmess-tcp-seoul",
      "port": 19999,
      "listen": "0.0.0.0",
      "protocol": "vmess",
      "settings": {
        "clients": [
          {
            "id": "7318178c-5583-40dd-996c-a0add1f8fc1e",
            "level": 0,
            "email": "不能用,腾讯云的ssl阻断机制 会封IP"
          }
        ]
      },
      "streamSettings": {
        "network": "tcp",
        "security": "auto",
        "tcpSettings": {
          "acceptProxyProtocol": false,
          "header": {
            "type": "http",
            "request": {
              "path": [
                "/v2ice-vmess-tcp-seoul"
              ]
            }
          }
        }
      }
    },
    {
      "tag": "in-vmess-tcp-tokyo",
      "port": 19998,
      "listen": "0.0.0.0",
      "protocol": "vmess",
      "settings": {
        "clients": [
          {
            "id": "89cb7e1d-9833-402c-9c1f-aafe8291510a",
            "level": 0,
            "email": "ice@gmail.com"
          }
        ]
      },
      "streamSettings": {
        "network": "tcp",
        "security": "auto",
        "tcpSettings": {
          "acceptProxyProtocol": false,
          "header": {
            "type": "http",
            "request": {
              "path": [
                "/v2ice-vmess-tcp-tokyo"
              ]
            }
          }
        }
      }
    },
    {
      "tag": "in-vmess-vless-seoul4",
      "port": 19997,
      "listen": "0.0.0.0",
      "protocol": "vmess",
      "settings": {
        "clients": [
          {
            "id": "eb574953-52fa-442e-a724-d3a21c72e658",
            "level": 0,
            "email": "ice@gmail.com"
          }
        ]
      },
      "streamSettings": {
        "network": "tcp",
        "security": "auto",
        "tcpSettings": {
          "acceptProxyProtocol": false,
          "header": {
            "type": "http",
            "request": {
              "path": [
                "/vmess-vless-seoul4"
              ]
            }
          }
        }
      }
    }
  ],
  "outbounds": [
    {
      "tag": "direct-out",
      "protocol": "freedom"
    },
    {
      "tag": "block",
      "protocol": "blackhole"
    },
    {
      "tag": "oracle-seoul4-vmess-websocket",
      "protocol": "vmess",
      "settings": {
        "vnext": [
          {
            "address": "140.238.14.103",
            "port": 19995,
            "users": [
              {
                "id": "becaca40-b457-4572-9b46-ed66ecca7b4e",
                "alterId": 0,
                "email": "ice@cc.com",
                "security": "auto"
              }
            ]
          }
        ]
      },
      "streamSettings": {
        "network": "ws",
        "wsSettings": {
          "path": "/v2ice-default-ws"
        }
      },
      "mux": {
        "enabled": true,
        "concurrency": 8
      }
    },
    {
      "tag": "oracle-seoul4-vless",
      "protocol": "vless",
      "settings": {
        "vnext": [
          {
            "address": "140.238.14.103",
            "port": 19990,
            "users": [
              {
                "id": "adbd84eb-15fe-4c62-931c-b471791672ad",
                "flow": "xtls-rprx-direct",
                "security": "auto",
                "encryption": "none",
                "level": 0
              }
            ]
          }
        ]
      },
      "streamSettings": {
        "network": "tcp",
        "security": "xtls",
        "xtlsSettings": {
          "serverName": "xx.s4.cc.hh.107421.xyz",
          "allowInsecure": true,
          "rejectUnknownSni": false,
          "alpn": [
            "h2",
            "http/1.1"
          ],
          "minVersion": "1.2",
          "maxVersion": "1.3"
        }
      }
    },
    {
      "tag": "oracle-seoul4-trojan",
      "protocol": "trojan",
      "settings": {
        "servers": [
          {
            "address": "140.238.14.103",
            "port": 19990,
            "password": "loveff.22",
            "level": 0,
            "flow": "xtls-rprx-direct"
          }
        ]
      },
      "streamSettings": {
        "network": "tcp",
        "security": "tls",
        "tlsSettings": {
          "serverName": "xx.s4.cc.hh.107421.xyz"
        }
      },
      "mux": {
        "enabled": true,
        "concurrency": 8
      }
    },
    {
      "tag": "oracle-seoul4-vmess-ws",
      "protocol": "vmess",
      "settings": {
        "vnext": [
          {
            "address": "140.238.14.103",
            "port": 19990,
            "users": [
              {
                "id": "c08e68f1-283c-4f91-9603-0b80484bb283",
                "security": "none",
                "level": 0
              }
            ]
          }
        ]
      },
      "streamSettings": {
        "network": "ws",
        "security": "tls",
        "tlsSettings": {
          "serverName": "xx.s4.cc.hh.107421.xyz"
        },
        "wsSettings": {
          "path": "/v2ice-vmess-ws"
        }
      },
      "mux": {
        "enabled": true,
        "concurrency": 8
      }
    }
  ],
  "routing": {
    "domainStrategy": "AsIs",
    "domainMatcher": "hybrid",
    "balancers": [
      {
        "tag": "seoul-4-balancer",
        "selector": [
          "oracle-seoul"
        ]
      }
    ],
    "rules": [
      {
        "type": "field",
        "domain": [
          "geosite:category-ads-all"
        ],
        "outboundTag": "block"
      },
      {
        "type": "field",
        "domain": [
          "geosite:cn",
          "geosite:private"
        ],
        "outboundTag": "direct-out"
      },
      {
        "type": "field",
        "inboundTag": "in-vmess-tcp-seoul",
        "outboundTag": "oracle-seoul4-vmess-websocket"
      },
      {
      "type": "field",
      "inboundTag": "proxy-tcp-seoul",
      "outboundTag": "oracle-seoul4-vmess-websocket"
      },
      {
        "type": "field",
        "inboundTag": "in-vmess-tcp-tokyo",
        "outboundTag": "oracle-tokyo1-vmess-websocket"
      },
      {
        "type": "field",
        "inboundTag": "in-vmess-vless-seoul4",
        "outboundTag": "oracle-seoul4-vless"
      }
    ]
  }
}